Package org.h2.test.db

# Class TestSpatial.TableEnvelope

java.lang.Object
org.h2.test.db.TestSpatial.TableEnvelope

All Implemented Interfaces:
  `Aggregate`

Enclosing class:
  TestSpatial

public static class TestSpatial.TableEnvelope extends Object implements Aggregate
An aggregate function that calculates the envelope.

## Constructor Summary

Constructors
Constructor
Description
`TableEnvelope()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Object value)`
This method is called once for each row.
`int`
`getInternalType(int[] inputTypes)`
This method must return the H2 data type, `Value`, of the aggregate function, given the H2 data type of the input data.
`Object`
`getResult()`
This method returns the computed aggregate value.
`void`
`init(Connection conn)`
This method is called when the aggregate function is used.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableEnvelope

public TableEnvelope()

## Method Details

### getInternalType

public int getInternalType(int[] inputTypes) throws SQLException
Description copied from interface: `Aggregate`
This method must return the H2 data type, `Value`, of the aggregate function, given the H2 data type of the input data. The method should check here if the number of parameters passed is correct, and if not it should throw an exception.

Specified by:
  `getInternalType` in interface `Aggregate`
Parameters:
  `inputTypes` - the H2 data type of the parameters,
Returns:
  the H2 data type of the result
Throws:
  `SQLException` - if the number/type of parameters passed is incorrect

### init

public void init(Connection conn) throws SQLException
Description copied from interface: `Aggregate`
This method is called when the aggregate function is used. A new object is created for each invocation.

Specified by:
  `init` in interface `Aggregate`
Parameters:
  `conn` - a connection to the database
Throws:
  `SQLException` - on SQL exception

### add

public void add(Object value) throws SQLException
Description copied from interface: `Aggregate`
This method is called once for each row. If the aggregate function is called with multiple parameters, those are passed as array.

Specified by:
  `add` in interface `Aggregate`
Parameters:
  `value` - the value(s) for this row
Throws:
  `SQLException` - on failure

### getResult

public Object getResult() throws SQLException
Description copied from interface: `Aggregate`
This method returns the computed aggregate value. This method must preserve previously added values and must be able to reevaluate result if more values were added since its previous invocation.

Specified by:
  `getResult` in interface `Aggregate`
Returns:
  the aggregated value
Throws:
  `SQLException` - on failure